Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1359540 - HP GEN9 380 server fails to download kickstart on the first try
Summary: HP GEN9 380 server fails to download kickstart on the first try
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda
Version: 6.8
Hardware: x86_64
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Radek Vykydal
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On:
Blocks: 1361708
TreeView+ depends on / blocked
 
Reported: 2016-07-24 22:53 UTC by jcastran
Modified: 2017-04-11 17:21 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-17 14:33:33 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 979163 None None None Never

Description jcastran 2016-07-24 22:53:40 UTC
Description of problem:
HP GEN9 380 server fails to download kickstart on the first try

Version-Release number of selected component (if applicable):
   RHEL 6.8

How reproducible:
   Customer can reproduce

Steps to Reproduce:
1. Boot installation
2. Append Kickstart and IP information to kernel line
3. Start installation

Actual results:
  System prompts for the location of the kickstart:
  00:42:40,876 INFO    : wait_for_iface_activation (2616): device eth0 activated
  00:42:40,878 INFO    : file location: http://172.21.27.116/Kickstart/ks-szxddb63.cfg
  00:42:40,878 INFO    : transferring http://172.21.27.116/Kickstart/ks-szxddb63.cfg
  00:42:43,875 ERROR   : Error downloading http://172.21.27.116/Kickstart/ks-szxddb63.cfg: Couldn't connect to server
  00:42:43,875 ERROR   : failed to retrieve http://172.21.27.116/Kickstart/ks-szxddb63.cfg


Expected results:
   System downloads kickstart and continues fully automated

Additional info:
   Once the system prompts, pressing enter and reattempting to download the kickstart works without any other changes so it seems the install is trying to download the kickstart before the network is completely ready.

Comment 6 Radek Vykydal 2016-08-01 14:46:02 UTC
Could you please attach installation logs from the reproducer with nicdelay=29?
Sosreport, or anaconda.log and anaconda.syslog should be sufficient.


Note You need to log in before you can comment on or make changes to this bug.